Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar
Class ExpressionPool.ClosedHash

    java.lang.Object
      com.sun.msv.grammar.ExpressionPool.ClosedHash

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ExpressionPool

public static final class ExpressionPool.ClosedHash
extends java.lang.Object
implements java.io.Serializable

expression cache by closed hash. Special care has to be taken wrt threading. This implementation allows get and put method to be called simulatenously.

See Also:
  Serialized Form

Constructor Summary
`ExpressionPool.ClosedHash()`
`ExpressionPool.ClosedHash(ExpressionPool.ClosedHash parent)`

Method Summary
`Expression` | `get(Expression key)`
`Expression` | `get(int hash, Expression child, java.lang.Class type)`
`Expression` | `getBinExp(Expression left, Expression right, java.lang.Class type)`
`void` | `put(Expression newExp)` put method.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionPool.ClosedHash

    public ExpressionPool.ClosedHash()

### ExpressionPool.ClosedHash

    public ExpressionPool.ClosedHash(ExpressionPool.ClosedHash parent)

Method Detail

### getBinExp

    public Expression getBinExp(Expression left,
                                Expression right,
                                java.lang.Class type)

### get

    public Expression get(int hash,
                          Expression child,
                          java.lang.Class type)

### get

    public Expression get(Expression key)

### put

    public void put(Expression newExp)

  put method. No two threads can call this method simulatenously, and it's the caller's responsibility to enforce it.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD